[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# Tvector2_double.length

Calculates the length of the vector.

## Declaration

Source position: matrix.pp line 76

`function Tvector2_double.length: Double;`

## Description

Calculate the length of the vector: length=sqrt(data[0]**2+data[1]**2). Try to use squared_length if you are able to, as it is faster.